Debian Bug report logs - #628157
ITA: worklog -- Keep Track of Time worked on Projects

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Emanuele Rocca <ema@debian.org>

Date: Fri, 27 May 2011 18:15:08 UTC

Owned by: Jon Daley <debian@jon.limedaley.com>

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian@jon.limedaley.com, wnpp@debian.org:
Bug#628157; Package wnpp. (Fri, 27 May 2011 18:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emanuele Rocca <ema@debian.org>:
New Bug report received and forwarded. Copy sent to debian@jon.limedaley.com, wnpp@debian.org. (Fri, 27 May 2011 18:15:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Emanuele Rocca <ema@debian.org>
To: submit@bugs.debian.org
Subject: O: worklog -- Keep Track of Time worked on Projects
Date: Fri, 27 May 2011 20:13:35 +0200
Package: wnpp
Severity: normal

I intend to orphan worklog since I am not using it anymore and active
upstream development seems stopped. 

CCing Jon Daley as he has shown interest for urlview by reporting bugs
on the BTS.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: worklog
Version: 1.8-4
Installed-Size: 84
Maintainer: Emanuele Rocca <ema@debian.org>
Architecture: amd64
Homepage: http://www.truxton.com/~trux/software/
Depends: libc6 (>= 2.3.5-1), libncurses5 (>= 5.4-5)
Description: Keep Track of Time worked on Projects
 From the author:
 Worklog is a program that helps you keep track of your time.  I wrote
 this program because I have several projects that require me to keep a
 timesheet.  I sometimes spend 5 minutes here and there doing
 miscellaneous administrative tasks.  Rather than invoke an editor on a
 timesheet file for every little segment of my time spent doing these
 tasks, I wanted to leave a clock running and indicate with one or two
 keystrokes the onset or change of any given task.  Worklog is a simple
 ncurses based program to do just that.
Tag: admin::logging, interface::text-mode, role::program,
scope::utility, uitoolkit::ncurses, use::timekeeping
Section: misc
Priority: optional
Filename: pool/main/w/worklog/worklog_1.8-4_amd64.deb
Size: 13818
MD5sum: ba9923fc70bc0919d72cb87094535671
SHA1: 5f562dfc763550cdf921f73303137491a9aab01e
SHA256: 0e9410a5c824ab500d15cab0cae0a06c9cf70a7c755e7c4f77363c66097a17a9





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628157; Package wnpp. (Fri, 27 May 2011 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Daley <debian@jon.limedaley.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 27 May 2011 19:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 628157@bugs.debian.org (full text, mbox):

From: Jon Daley <debian@jon.limedaley.com>
To: Emanuele Rocca <ema@debian.org>, 628157@bugs.debian.org
Cc: debian-bugs-dist@lists.debian.org, wnpp@debian.org
Subject: Re: Bug#628157: O: worklog -- Keep Track of Time worked on Projects
Date: Fri, 27 May 2011 15:17:57 -0400 (EDT)
	I would be up for it, but I am not a debian developer.  I do have 
an alioth account if that helps anything.  I probably need a sponsor or 
someone to upload stuff for me?
	I do still use the package daily, and so will continue to maintain 
it with or without debian support. (I think I've uploaded all of my 
current changes to the software to the bugs.d.o, but I do have a couple 
more ideas that I might implement some day)


On Fri, 27 May 2011, Emanuele Rocca wrote:
> Package: wnpp
> Severity: normal
>
> I intend to orphan worklog since I am not using it anymore and active
> upstream development seems stopped.
>
> CCing Jon Daley as he has shown interest for urlview by reporting bugs
> on the BTS.
>
> Maintaining a package requires time and skills. Please only adopt this
> package if you will have enough time and attention to work on it.
>
> If you want to be the new maintainer, please see
> http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
> instructions how to adopt a package properly.
>
> Some information about this package:
>
> Package: worklog
> Version: 1.8-4
> Installed-Size: 84
> Maintainer: Emanuele Rocca <ema@debian.org>
> Architecture: amd64
> Homepage: http://www.truxton.com/~trux/software/
> Depends: libc6 (>= 2.3.5-1), libncurses5 (>= 5.4-5)
> Description: Keep Track of Time worked on Projects
> From the author:
> Worklog is a program that helps you keep track of your time.  I wrote
> this program because I have several projects that require me to keep a
> timesheet.  I sometimes spend 5 minutes here and there doing
> miscellaneous administrative tasks.  Rather than invoke an editor on a
> timesheet file for every little segment of my time spent doing these
> tasks, I wanted to leave a clock running and indicate with one or two
> keystrokes the onset or change of any given task.  Worklog is a simple
> ncurses based program to do just that.
> Tag: admin::logging, interface::text-mode, role::program,
> scope::utility, uitoolkit::ncurses, use::timekeeping
> Section: misc
> Priority: optional
> Filename: pool/main/w/worklog/worklog_1.8-4_amd64.deb
> Size: 13818
> MD5sum: ba9923fc70bc0919d72cb87094535671
> SHA1: 5f562dfc763550cdf921f73303137491a9aab01e
> SHA256: 0e9410a5c824ab500d15cab0cae0a06c9cf70a7c755e7c4f77363c66097a17a9
>
>
>

-- 
Jon Daley
http://jon.limedaley.com
~~
Use of excessive, unnecessary, commas, has always been,
  one of my, pet peeves.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628157; Package wnpp. (Wed, 01 Jun 2011 19:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Daley <debian@jon.limedaley.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 01 Jun 2011 19:24:02 GMT) Full text and rfc822 format available.

Message #15 received at 628157@bugs.debian.org (full text, mbox):

From: Jon Daley <debian@jon.limedaley.com>
To: 628157@bugs.debian.org
Subject: Re: Bug#628157: O: worklog -- Keep Track of Time worked on Projects
Date: Wed, 1 Jun 2011 15:21:20 -0400 (EDT)
On Sat, 28 May 2011, Emanuele Rocca wrote:
> On 27/05 03:17, Jon Daley wrote:
>> 	I would be up for it, but I am not a debian developer.  I do have
>> an alioth account if that helps anything.  I probably need a sponsor
>> or someone to upload stuff for me?
>
> Correct. I do not have enough time to *ensure* you timely uploads, but I
> think you won't have much problems in finding a sponsor.
>
> Please take a look at mentors.debian.net for more information:
> http://mentors.debian.net/cgi-bin/maintainer-intro
>
> That said, if you do not find any good soul to upload your changes, just
> ping me and I'll do my best to find some free time and get your
> contributions into Debian.

	Thanks.  I'm signing up for a mentors.debian account now, and 
we'll see how it goes.




Changed Bug title to 'ITA: worklog -- Keep Track of Time worked on Projects' from 'O: worklog -- Keep Track of Time worked on Projects' Request was from Jon Daley <debian@jon.limedaley.com> to control@bugs.debian.org. (Wed, 01 Jun 2011 20:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628157; Package wnpp. (Wed, 01 Jun 2011 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Daley <debian@jon.limedaley.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 01 Jun 2011 21:33:03 GMT) Full text and rfc822 format available.

Message #22 received at 628157@bugs.debian.org (full text, mbox):

From: Jon Daley <debian@jon.limedaley.com>
To: 628157@bugs.debian.org
Subject: Re: Bug#628157: O: worklog -- Keep Track of Time worked on Projects
Date: Wed, 1 Jun 2011 17:30:31 -0400 (EDT)
	I've uploaded the package to mentors, and included all of the 
currently open bugs in the new version.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628157; Package wnpp. (Wed, 01 Jun 2011 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Daley <jon@limedaley.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 01 Jun 2011 21:45:04 GMT) Full text and rfc822 format available.

Message #27 received at 628157@bugs.debian.org (full text, mbox):

From: Jon Daley <jon@limedaley.com>
To: 628157@bugs.debian.org
Subject: Re: Bug#628157: O: worklog -- Keep Track of Time worked on Projects
Date: Wed, 1 Jun 2011 17:31:05 -0400 (EDT)
On Wed, 1 Jun 2011, Jon Daley wrote:
> 	I've uploaded the package to mentors, and included all of the 
> currently open bugs in the new version.

Or rather, I've included the bug fixes...  :)

-- 
Jon Daley
http://jon.limedaley.com
~~
Well, all I know is what I read in the papers.
-- Will Rogers




Owner recorded as Jon Daley <debian@jon.limedaley.com>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 06 Jun 2012 07:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jon Daley <debian@jon.limedaley.com>:
Bug#628157; Package wnpp. (Tue, 11 Dec 2012 01:03:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jon Daley <debian@jon.limedaley.com>. (Tue, 11 Dec 2012 01:03:43 GMT) Full text and rfc822 format available.

Message #34 received at 628157@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 628157@bugs.debian.org
Cc: control@bugs.debian.org
Subject: worklog: changing back from ITA to O
Date: Tue, 11 Dec 2012 01:00:34 +0000
retitle 628157 O: worklog -- Keep Track of Time worked on Projects
noowner 628157
tag 628157 - pending
thanks

Hi,

This is an automatic email to change the status of worklog back from ITA
(Intent to Adopt) to O (Orphaned), because this bug hasn't seen any activity
during the last 6 months.

If you are still interested in adopting worklog, please send a mail to
<control@bugs.debian.org> with:

 retitle 628157 ITA: worklog -- Keep Track of Time worked on Projects
 owner 628157 !
 thanks

However, it is not recommended to keep ITA for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
adopting the package. It is also a good idea to document your progress on this
ITA from time to time, by mailing <628157@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Frank, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'O: worklog -- Keep Track of Time worked on Projects' from 'ITA: worklog -- Keep Track of Time worked on Projects' Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 11 Dec 2012 01:04:56 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Jon Daley <debian@jon.limedaley.com>. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 11 Dec 2012 01:04:56 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628157; Package wnpp. (Wed, 02 Jan 2013 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Daley <debian@jon.limedaley.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 02 Jan 2013 17:33:06 GMT) Full text and rfc822 format available.

Message #43 received at 628157@bugs.debian.org (full text, mbox):

From: Jon Daley <debian@jon.limedaley.com>
To: Frank Lichtenheld <djpig@debian.org>, 628157@bugs.debian.org
Subject: Re: Bug#628157: worklog: changing back from ITA to O
Date: Wed, 2 Jan 2013 12:22:05 -0500 (EST)
I do intend to work on it eventually, but I got stuck awhile ago when I 
was trying to build the package files for the first time, and I never got 
back to it.

I still use the software every day, so I will keep the source working, 
whether or not I am "officially" doing it via Debian software.

On Tue, 11 Dec 2012, Frank Lichtenheld wrote:

> retitle 628157 O: worklog -- Keep Track of Time worked on Projects
> noowner 628157
> tag 628157 - pending
> thanks
>
> Hi,
>
> This is an automatic email to change the status of worklog back from ITA
> (Intent to Adopt) to O (Orphaned), because this bug hasn't seen any activity
> during the last 6 months.
>
> If you are still interested in adopting worklog, please send a mail to
> <control@bugs.debian.org> with:
>
> retitle 628157 ITA: worklog -- Keep Track of Time worked on Projects
> owner 628157 !
> thanks
>
> However, it is not recommended to keep ITA for a long time without acting on
> the package, as it might cause other prospective maintainers to refrain from
> adopting the package. It is also a good idea to document your progress on this
> ITA from time to time, by mailing <628157@bugs.debian.org>.
>
> Thank you for your interest in Debian,
>

-- 
Jon Daley
http://jon.limedaley.com
~~
If we are to be disciples of Christ, we need to accept discipline
as part of our spiritual life - not out of blind obedience to
authority, but as a personal expression of investing ourselves
fully in all that we value.
-- Gary Dalmasso



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628157; Package wnpp. (Mon, 26 Aug 2013 03:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Mazid <tim.mazid@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 26 Aug 2013 03:24:04 GMT) Full text and rfc822 format available.

Message #48 received at 628157@bugs.debian.org (full text, mbox):

From: Tim Mazid <tim.mazid@gmail.com>
To: 628157@bugs.debian.org
Subject: Re: Bug#628157: worklog: changing back from ITA to O
Date: Mon, 26 Aug 2013 13:20:52 +1000
[Message part 1 (text/plain, inline)]
Hi Jon et al,

Do you have a publicly accessible repo for worklog?  Preferably with
your patches applied.  I'm trying to get my hands on a copy of it, and
have tried downloading it [from trux][0], but I get a 403 when I attempt
to do so.

Also, Jon, can I assume that you are still planning to adopt this
package?  If you need help building it, I can probably provide it; once
I've gotten the source, of course.

Thanks,
Tim

[0]: http://www.truxton.com/~trux/software/worklog.tar.gz

-- 
() ascii ribbon campaign - against html e-mail
/\ www.asciiribbon.org   - against proprietary attachments
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628157; Package wnpp. (Tue, 03 Sep 2013 00:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Daley <debian@jon.limedaley.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Sep 2013 00:51:04 GMT) Full text and rfc822 format available.

Message #53 received at 628157@bugs.debian.org (full text, mbox):

From: Jon Daley <debian@jon.limedaley.com>
To: 628157@bugs.debian.org
Subject: Re: public repository
Date: Mon, 2 Sep 2013 20:37:24 -0400 (EDT)
Sorry - I wasn't subscribed to the bug, but a user just emailed me with a 
bug report today, so I got back into checking it out.

I am still interested in the project, and I have been thinking that I 
should get back to it, but I was thinking maybe I was the only one using 
it, but I see a couple bug reports, so it would be worth getting my code 
published, and get the one other patch included (I have noticed the CPU 
usage issue to, but never looked into it).

I had published the changes with how I thought it was supposed to be, but 
I made some sort of mistake, and had some paths wrong in the diff files, 
so it showed some things from my development machine, so I removed the 
upload.

I'll take another look at it this week and see if I can get the proper 
diffs generated.  I don't think I have my changes marked as public, but I 
can definitely do that this week, even if I can't figure out how to build 
it properly for debian.

-- 
Jon Daley
http://jon.limedaley.com
~~
Normal people believe that if it ain't broke,
   don't fix it.
Engineers believe that if it ain't broke,
   it doesn't have enough features yet.



Changed Bug title to 'ITA: worklog -- Keep Track of Time worked on Projects' from 'O: worklog -- Keep Track of Time worked on Projects' Request was from Jon Daley <debian@jon.limedaley.com> to control@bugs.debian.org. (Tue, 03 Sep 2013 18:15:13 GMT) Full text and rfc822 format available.

Owner recorded as Jon Daley <debian@jon.limedaley.com>. Request was from Jon Daley <debian@jon.limedaley.com> to control@bugs.debian.org. (Tue, 03 Sep 2013 18:15:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628157; Package wnpp. (Tue, 03 Sep 2013 22:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Daley <debian@jon.limedaley.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Sep 2013 22:21:04 GMT) Full text and rfc822 format available.

Message #62 received at 628157@bugs.debian.org (full text, mbox):

From: Jon Daley <debian@jon.limedaley.com>
To: Emanuele Rocca <ema@debian.org>, 628157@bugs.debian.org
Subject: Fwd: worklog uploaded to mentors.debian.net
Date: Tue, 3 Sep 2013 18:19:22 -0400 (EDT)
I've gotten poked a couple times lately, so I built the worklog package 
today, and uploaded to mentors.

There are some lintian warnings, but I think my release is as good, if not 
better than the previous release, so I don't think that should be a 
stopper.

I've added in quilt patches for the three bugs that I reported and have 
been using for years.

There is an additional bug report with a patch that looks good (in that 
I've seen the same behavior, so I'll check out the patch).  But, I'd be 
interested in seeing this version get published, and make sure I 
understand how the whole process works.

So - Emanuele - I think you said you would be willing to continue 
sponsoring this package?  If not, let me know, and I'll see if there is 
someone else.

---------- Forwarded message ----------
Date: Tue,  3 Sep 2013 22:03:30 +0000 (UTC)
From: mentors.debian.net <support@mentors.debian.net>
To: debian@jon.limedaley.com
Subject: worklog uploaded to mentors.debian.net

Hi.

Your upload of the package 'worklog' to mentors.debian.net was
successful. Others can now see it. The URL of your package is:
http://mentors.debian.net/package/worklog

The respective dsc file can be found at:
http://mentors.debian.net/debian/pool/main/w/worklog/worklog_1.8-7.dsc

If you do not yet have a sponsor for your package you may want to go to
http://mentors.debian.net/sponsors/rfs-howto/worklog
and set the "Seeking a sponsor" option to highlight your package on the
welcome page.

You can also send an RFS (request for sponsorship) to the debian-mentors
mailing list. Your package page will give your suggestions on how to
send that mail.

Good luck in finding a sponsor!

Thanks,

-- 
mentors.debian.net



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#628157; Package wnpp. (Tue, 03 Sep 2013 22:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Daley <debian@jon.limedaley.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Sep 2013 22:30:04 GMT) Full text and rfc822 format available.

Message #67 received at 628157@bugs.debian.org (full text, mbox):

From: Jon Daley <debian@jon.limedaley.com>
To: 628157@bugs.debian.org
Subject: Re: public repository
Date: Tue, 3 Sep 2013 18:26:38 -0400 (EDT)
Tim: here are URLs for you.

I've uploaded the package to the mentors website, but that upload doesn't 
contain a .deb file, so if you want that, you can find the .deb file where I 
accidentally uploaded it earlier today:
ftp://ftp.upload.debian.org/pub/UploadQueue/worklog_1.8-7_i386.deb

(since that was an accident, it will be removed automatically at some 
point soon)

Here is the mentors link:
http://mentors.debian.net/package/worklog

My subversion repository (you'll need `quilt` to apply the patches)
https://limedaley.com/svn/limedaley/vendor/worklog/mine/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jon Daley <debian@jon.limedaley.com>:
Bug#628157; Package wnpp. (Tue, 17 Sep 2013 13:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emanuele Rocca <ema@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jon Daley <debian@jon.limedaley.com>. (Tue, 17 Sep 2013 13:00:04 GMT) Full text and rfc822 format available.

Message #72 received at 628157@bugs.debian.org (full text, mbox):

From: Emanuele Rocca <ema@debian.org>
To: Jon Daley <debian@jon.limedaley.com>
Cc: 628157@bugs.debian.org
Subject: Re: Fwd: worklog uploaded to mentors.debian.net
Date: Tue, 17 Sep 2013 14:57:22 +0200
Hi Jon,

On 03/09 06:19, Jon Daley wrote:
> So - Emanuele - I think you said you would be willing to continue
> sponsoring this package?  If not, let me know, and I'll see if there
> is someone else.

I did, but unfortunately I'm pretty busy at the moment. Please go ahead
and see if you manage to find a sponsor for worklog.

Cheers,
    Emanuele



Added blocking bug(s) of 628157: 723626 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 18 Sep 2013 04:27:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:34:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.